## sphinx-needs 5.1.0%2Bdfsg

=== debian/control ===
Source: sphinx-needs
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christian Bayle <bayle@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 pybuild-plugin-pyproject,
 flit,
 python3-pytest,
 python3-pytest-xdist,
 python3-pytest-benchmark,
 python3-pytest-remotedata,
 python3-pytest-regressions,
 python3-pytest-xprocess,
 python3-pytest-emoji,
 python3-hypothesis,
 python3-pytest-doctestplus,
 python3-pytest-astropy,
 python3-pytest-mock,
 python3-anyio,
 python3-syrupy,
 python3-pytest-arraydiff,
 python3-pytest-cov,
 python3-pytest-filter-subpackage,
 python3-pytest-astropy-header,
 python3-typeguard,
 python3-pytest-skip-markers,
 python3-pytest-datadir,
 python3-defusedxml,
 python3-sphinx,
 python3-sphinx-data-viewer,
 python3-sphinx-copybutton,
 python3-sphinx-design,
 python3-sphinxcontrib.jquery,
 python3-sphinxcontrib.plantuml,
 python3-sphinxcontrib.programoutput,
 python3-sphinxcontrib.serializinghtml,
 python3-sphinxcontrib.htmlhelp,
 python3-responses,
 python3-memray,
 python3-lxml,
 python3-requests-file,
 python3-jsonschema,
 python3-matplotlib,
 sphinx-doc,
 python3.13-doc,
 libjs-jquery-datatables,
 libjs-jquery-datatables-extensions,
 furo,
 plantuml,
 graphviz,
# Unused themes:
# python3-pydata-sphinx-theme,
# python3-sphinx-rtd-theme,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.2
Homepage: https://github.com/useblocks/sphinx-needs
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-needs
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-needs.git

Package: python3-sphinx-needs
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-sphinx-needs-doc,
Description: Brings Engineering-as-Code to the Sphinx framework (Python 3)
 Combine Docs-as-Code with Application Lifecycle Management, to track
 requirements, specifications, test cases, and other engineering objects
 in your document
 .
 This package installs the library for Python 3.

Package: python-sphinx-needs-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description:  Brings Engineering-as-Code to the Sphinx framework(documentation)
 Combine Docs-as-Code with Application Lifecycle Management, to track
 requirements, specifications, test cases, and other engineering objects
 in your document
 .
 This is the common documentation package.
