## sphinx-needs 5.1.0+dfsg

=== debian/changelog ===
sphinx-needs (5.1.0+dfsg-4) unstable; urgency=medium

  * Skip test_app0 test that requires condition not filled in autobuilder
    (Closes: #1117433)

 -- Christian Bayle <bayle@debian.org>  Wed, 08 Oct 2025 17:15:37 +0200

sphinx-needs (5.1.0+dfsg-3) unstable; urgency=medium

  * Use a more reliable reproducible id

 -- Christian Bayle <bayle@debian.org>  Sun, 21 Sep 2025 18:58:36 +0200

sphinx-needs (5.1.0+dfsg-2) unstable; urgency=medium

  * Add several patch for reproductibility

 -- Christian Bayle <bayle@debian.org>  Sat, 20 Sep 2025 20:39:27 +0200

sphinx-needs (5.1.0+dfsg-1) unstable; urgency=medium

  * Source only upload 

 -- Christian Bayle <bayle@debian.org>  Tue, 24 Jun 2025 23:15:15 +0200

sphinx-needs (5.1.0+dfsg-1~exp2) experimental; urgency=medium

  * Remove not needed JSZip symlink
  * Add missing datatables.min.js and datatables.min.css

 -- Christian Bayle <bayle@debian.org>  Thu, 15 May 2025 01:22:46 +0200

sphinx-needs (5.1.0+dfsg-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1103576)

 -- Christian Bayle <bayle@debian.org>  Sat, 19 Apr 2025 15:38:11 +0200
