=== debian/control ===
--- 
+++ 
@@ -54,6 +54,7 @@
  furo,
  plantuml,
  graphviz,
+ locales-all,
 # Unused themes:
 # python3-pydata-sphinx-theme,
 # python3-sphinx-rtd-theme,
