=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,9 @@
 # Skip test requiring node install using unpackaged cypress (https://www.npmjs.com/package/cypress)
 # These tests are working only online adding npx dependancy
 # Disable unstable test_parallel_execution.py::test_doc_build_html
-export PYTEST_ADDOPTS="-k not test_collapse_button_in_variant_doc and not test_collapse_button_in_doc_basic and not test_doc_build_html and not test_official"
+# The test also fails in auto bluilder (See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1117433)
+#export PYTEST_ADDOPTS="-k not test_collapse_button_in_variant_doc and not test_collapse_button_in_doc_basic and not test_doc_build_html and not test_official"
+export PYTEST_ADDOPTS="-k not test_app0 and not plantuml and not graphviz and not test_collapse_button_in_variant_doc and not test_collapse_button_in_doc_basic and not test_official"
 endif
 
 %:
@@ -29,19 +31,27 @@
 override_dh_auto_build: sphinx_needs/libs/html/datatables.min.js sphinx_needs/libs/html/datatables.min.css
 	dh_auto_build
 
-execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
-execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
+#execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
+#execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep:
 	# Replace badge downloaded with one debian made.
 	cp debian/badge.svg docs/
 	# Replace uptream provided plantuml with debian provided by plantuml package
 	[ -d docs/utils ] || mkdir docs/utils
-	ln -s /usr/share/plantuml/plantuml.jar ./docs/utils/plantuml-1.2022.14.jar
+	if [ ! -L ./docs/utils/plantuml-1.2022.14.jar ] ; then \
+		ln -s /usr/share/plantuml/plantuml.jar ./docs/utils/plantuml-1.2022.14.jar ; \
+	fi
 	# HTML sphinx doc generator
+	export LANG=en_US.UTF-8; \
+	export LANGUAGE=en_US.UTF-8; \
+	export SPHINXOPTS="-D language=en" ; \
+	export PYTHONHASHSEED=0 ; \
 	PYTHONPATH=. python3 -m sphinx -N -bhtml \
 	docs/ build/html 
 	# Remove build log
 	rm -f build/html/debug_filters.jsonl
+	# Remove cache
+	#rm -rf build/.doctrees
 
 override_dh_clean:
 	-rm -rf .pytest_cache/
